org.modeshape.jcr.query.process

## Class AbstractAccessComponent

- java.lang.Object
- - org.modeshape.jcr.query.process.ProcessingComponent
  - - org.modeshape.jcr.query.process.AbstractAccessComponent

- Direct Known Subclasses:
    LuceneQueryEngine.LuceneAccessQuery

      public abstract class AbstractAccessComponent
      extends ProcessingComponent

  A reusable base class for `ProcessingComponent` implementations that does everything except obtain the correct `QueryResults.Location` objects for the query results.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `ProcessingComponent.DynamicOperation`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlanNode` | `accessNode`
    `protected List<Constraint>` | `andedConstraints`
    `protected Limit` | `limit`
    `protected List<Column>` | `projectedColumns`
    `protected SelectorName` | `sourceName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAccessComponent(QueryContext context, QueryResults.Columns columns, PlanNode accessNode)`

  - ### Method Summary

    - ### Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `close, createDynamicOperation, createSortComparator, emptyTuples, execute, getColumns, getContext, getLocationIndexes, problems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessNode

          protected final PlanNode accessNode

    - #### sourceName

          protected final SelectorName sourceName

    - #### projectedColumns

          protected final List<Column> projectedColumns

    - #### andedConstraints

          protected final List<Constraint> andedConstraints

    - #### limit

          protected final Limit limit

  - ### Constructor Detail

    - #### AbstractAccessComponent

          protected AbstractAccessComponent(QueryContext context,
                                 QueryResults.Columns columns,
                                 PlanNode accessNode)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.